CREATE TABLE atc_spec_refs (
    SPEC_ID                        NUMBER(18, 0) ,
    REFERENCE_NAME                 VARCHAR2(800) ,
    REF_ENTITY_PUID                VARCHAR2(120)     NOT NULL,
    REF_ENTITY_NAME                VARCHAR2(800) ,
    REF_ENTITY_VERSION             VARCHAR2(80)  ,
    REF_ENTITY_HREF                VARCHAR2(4000),
    AT_TYPE                        VARCHAR2(800) ,
    AT_BASE_TYPE                   VARCHAR2(800) ,
    AT_SCHEMA_LOCATION             VARCHAR2(4000),
    AT_REFERRED_TYPE               VARCHAR2(800) ,
    TAR_PROD_AT_TYPE               VARCHAR2(800) ,
    TAR_PROD_AT_BASE_TYPE          VARCHAR2(800) ,
    TAR_PROD_AT_SCHEMA_LOCATION    VARCHAR2(4000),
    REF_ENTITY_TYPE                VARCHAR2(400) ,
    VERSION_STATE                  NUMBER(2, 0)  ,
    ENTITY_ID                      NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME                    VARCHAR2(400)     NOT NULL,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    SPEC_ID                        NUMBER(18, 0) ,
    ENTITY_ID                      NUMBER(18, 0)     NOT NULL,
    ENTITY_NAME                    VARCHAR2(400)     NOT NULL,
    AT_TYPE                        VARCHAR2(800) ,
    AT_BASE_TYPE                   VARCHAR2(800) ,
    AT_SCHEMA_LOCATION             VARCHAR2(4000),
    TAR_PROD_AT_TYPE               VARCHAR2(800) ,
    TAR_PROD_AT_BASE_TYPE          VARCHAR2(800) ,
    TAR_PROD_AT_SCHEMA_LOCATION    VARCHAR2(4000),
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    REF_ENTITY_PUID                VARCHAR2(120)     NOT NULL,
    REF_ENTITY_NAME                VARCHAR2(800) ,
    REF_ENTITY_VERSION             VARCHAR2(80)  ,
    REF_ENTITY_HREF                VARCHAR2(4000),
    AT_REFERRED_TYPE               VARCHAR2(800) ,
    REF_ENTITY_TYPE                VARCHAR2(400) ,
    REFERENCE_NAME                 VARCHAR2(800) ,
    VERSION_STATE                  NUMBER(2, 0)  ,
    CONSTRAINT pk_atc_spec_refs PRIMARY KEY (SPEC_ID, SPEC_ID)
);
